const myQuestAPI = {
    system: {
        inactive: "myQuestAPI is inactive", // will be displayed if MyQuestAPI is not active
        enable: true, // Set to true to enable and false to disable
		tag: "op" // tag who can see quests when system[enable = false] || /tag @s add op
    },
    getIdentifier: {
        author: "§dMinecraft皓星辰", // Author Name
        title: "§l§c星辰幻想RPG §d任务书", // Title
        description: "§l§a找不到方向的时候，就来试试做任务吧！" // Description
    },
    getQuest: {
    	isNamespace: { 
			isDefault: false,  // Useless  for now. If true, will use default namespace
    							 	 // so you don't need to write namespace anymore
			namespace: "" // Only work if "isDefault: true"
		},
        itemHand: "x:renwubook",
        items: [
            "minecraft:dirt",
            "minecraft:iron_pickaxe",
            "x:chilun1",
            "x:jiagong2",
            "x:jinggangding",
            "x:gangqishijia",
			"x:ningjiao",
			"x:shilaimushi",
			"x:liujinsuipian",
			"x:yelvding",
			"x:dianlanzhiren2",
			"x:chihongzhiren2",
			"x:bilvzhiren2",
			"x:yelvjia",
			"x:cuilvzhishi",
			"x:huangmoding",
			"x:baoxiangzhiye",
			"x:fanqiezhongzi",
			"x:shabaomao",
			"x:qiguaibing",
			"x:shujuka1",
			"x:pozhou1",
			"x:hanbingding",
			"x:bingshuangtui",
			"x:ziranjian",
			"x:jinjiedan4",
			"x:dianlanzhiren4",
			"x:chihongzhiren4",
			"x:bilvzhiren4",
			"x:xiejian5",
			"x:shiyuanjinghun",
			"x:jiechufengyin",
			"x:zaiecaijue",
			"x:loulinghun",
			"x:gaozi1",
			"x:lei1",
			"x:yuansushengjian",
			"x:anheishi"
		
        ],
        rewards: [
        	["x:tongqian", 5],
        	["minecraft:white_shulker_box", 1],
        	["minecraft:iron_ingot", 64],
        	["x:chitiekuang", 10],
        	["x:tongqian", 10],
			["x:tongqian", 20],
			["x:ningjiao", 1],
			["x:baoxiang4", 3],
			["x:liujinsuipian", 64],
        	["x:yelvding", 10],
			["x:dianlanding", 30],
			["x:chihongkuangshi", 30],
			["x:ziranjinghua", 30],
			["x:shipin1", 1],
			["x:shenmizhuishi", 1],
			["x:yinqian", 10],
			["x:cikeka", 1],
			["x:food3", 10],
			["x:shengwu1", 1],
			["x:qiguaibing", 10],
			["minecraft:amethyst_shard", 64],
			["x:pozhou1", 30],
			["x:baoxiang6", 30],
			["x:haishenningjing", 2],
			["x:huoshenningjing", 2],
			["x:gaojijinghua", 2],
			["x:jinqian", 3],
			["x:jinqian", 3],
			["x:jinqian", 3],
			["x:xie", 30],
			["x:shipin5", 1],
			["x:jiechufengyin", 3],
			["x:chongnengshuijng", 1],
			["x:chongnengshuijng", 1],
			["x:zuo", 1],
			["x:you", 1],
			["x:shishibaozhu", 4],
			["x:anheishi", 1]
		
		]
    },
    getForm: {
    	title: {
    		enable: false, // Change to false to generate title automatically
    		title: [
    			// you don't need to fill this field if title[enable = true]
    			"§a【梦的开始】",
				"§b【这不是铁镐么？】",
    			"§c【齿轮先锋】",
				"§d【机械工作台】",
				"§e【工业的气息】",
				"§c【刀枪不入】",
				"§a【神奇的凝胶】",
				"§c【讨伐————史莱姆王】",
				"§b【鎏金满天飞】",
				"§e【史莱姆牌提款机】",
				"§b【海神的引导】",
				"§c【火神的引导】",
				"§a【风神的引导】",
				"§d【传说中的叶绿套装】",
				"§e【蜘蛛们的宝贝】",
				"§c【讨伐————荒漠狼蛛】",
				"§a【转职达人】",
				"§b【农园乐事】",
				"§d【沙漠的霸主】",
				"§e【诡异的冰块】",
				"§c【支线————十字军禁卫】",
				"§a【除灵之水】",
				"§c【讨伐————北风之狼】",
				"§b【百年魂环】",
				"§d【自然能量之剑！】",
				"§e【天宫宝库】",
				"§b§l【史诗任务 海神再临】",
				"§c§l【史诗任务 火神再临】",
				"§a§l【史诗任务 风神再临】",
				"§c【吸血鬼的力量】",
				"§b【路漫漫其修远兮】",
				"§d【讨伐————精英掠夺者】",
				"§c【讨伐————灾厄武士】",
				"§d【讨伐————大魔导师】",
				"§e【更强力的镐子】",
				"§d【聆听千鸟的声音】",
				"§l【§6传说任务 §a异§b度§c神§d剑】",
				"§a【敬请期待】"	
    		]
    	},
    	description: {
    		description: [
    			"§d欢迎来到绚丽多彩的星辰大陆！这是一个外表美丽但充满危险的世界！在这里，你要跋山涉水，收集材料，制作武器装备攻克BOSS！收集一个泥土，达成你的第一个成就！\n§6（完成条件：泥土 奖励铜币*5）",
    			"§b通过挖矿或者探索遗迹，来获得一个铁镐！开始挖矿！\n§6（完成条件：铁镐 奖励白色潜影盒*1）",
    			"§a获得一些铁锭，在工作台中合成一级机械齿轮，工业发展起来了\n§6（完成条件：一级机械齿轮 奖励铁锭*64）",
    			"§d使用铁块+一级机械齿轮合成机械工作台。如果你的机械工作台没有显示配方，请在设置里关闭“配方解锁”\n§6（完成条件：机械合成台 奖励赤铁原矿*10）", 
				"§e在矿洞中收集大量的赤铁矿，使用赤铁锭和铁锭在工作台中合成精钢锭\n§6（完成条件：精钢锭 奖励铜币*10）", 
				"§a按照工作台中的配方，合成一套精钢装备。精钢防具比钻石更耐用，并且先天带有少量的击退抗性\n§6（完成条件：精钢胸甲 奖励铜币*20）", 
				"§b此时你听说名为史莱姆王的怪物袭击当地居民，准备大量的史莱姆球，合成史莱姆王的召唤物品————神奇凝胶\n§6（完成条件：神奇凝胶 奖励神奇凝胶*1）", 
				"§c找到平原中的史莱姆王祭坛，它位于平原的一颗发光的大树下。站在祭坛正上方，使用神奇凝胶召唤史莱姆王，并击败它，拿到史莱姆晶体\n§6（完成条件：史莱姆晶体 奖励珍品宝箱*3）", 
				"§d为了锻造更强大的装备，下矿吧！在地下挖一些鎏金碎片，在机械工作台中合成鎏金锭，升级你的装备使其变为鎏金套装吧\n§6（完成条件：鎏金碎片 奖励鎏金碎片*64）", 
				"§a多击败几次史莱姆王，可以刷到强力的武器————破空长歌。同时获得大量的叶绿锭，你的装备再次升级，变为高贵帅气的叶绿套装\n§6（完成条件：叶绿锭 奖励叶绿锭*10）",
				"§b（三选一可跳过）获取一定量的靛蓝矿石，在工作台中合成波涌之刃，让海的力量指引你\n§6（完成条件：波涌之刃 奖励靛蓝矿石*30）",
				"§c（三选一可跳过）获取一定量的赤红矿石，在工作台中合成烈焰之刃，让火的力量指引你\n§6（完成条件：烈焰之刃 奖励赤红矿石*30）",
				"§a（三选一可跳过）获取一定量的自然精华和光子矿石，在工作台中合成青翠之刃，让风的力量指引你\n§6（完成条件：青翠之刃 奖励自然精华*30）",
				"§d使用鎏金锭将精钢套装升级为鎏金套装，再使用叶绿锭将鎏金套装升级为叶绿套装\n§6（完成条件：叶绿胸甲 奖励红宝石戒指*1）",
				"§e击败野外的蜘蛛/幽冥蜘蛛有概率掉落道具翠绿之石，使用翠绿之石可以合成第二个BOSS的召唤物：神秘坠饰\n§6（完成条件：翠绿之石 奖励神秘坠饰*1）",
				"§c寻找沙漠中的荒漠神庙（外观与沙漠神殿相似）。使用神秘坠饰召唤祭坛内的荒漠狼蛛。击败荒漠狼蛛会掉落沙暴锭等一系列奖励\n§6（完成条件：沙暴锭 奖励银币*10 ）",
				"§a机械工作台中可以合成C级科技箱，开这个宝箱有概率获得随机职业卡。有99%概率获得B级职业，1%概率获得A级职业§c（更换职业前要先用重置器）\n§6（完成条件：C级科技箱 奖励 职业卡 南山剑客）",
				"§b在商人处可以购买种子袋，可以种植一些新的蔬菜，制作一些美味的料理。如果玩的有点累，那么不妨休息放松一下！\n§6（完成条件：种子袋 奖励美味食物*10）",
				"§d使用沙暴锭升级你的装备，让叶绿套装进化为沙暴套装。沙暴套装有着更加强力的生命上限提升\n§6（完成条件：沙暴头盔 奖励自然之精魂*1）",
				"§b前往雪原，击败流浪者有概率掉落奇怪的冰块，这是我们击败下一个BOSS所需要的材料（第一章要完结了）\n§6（完成条件：奇怪的冰块 奖励奇怪的冰块*10）",
				"§c（支线任务）击杀主世界中的十字军僵尸有概率掉落十字军徽章，可以合成召唤十字军禁卫的道具。在平原中的教堂找到并击败他！\n§6（完成条件：C级数据卡 奖励紫水晶*64）",
				"§a使用紫水晶和ATC外壳（在机械工作台合成）可以合成除灵之水，这是击败北风狼王的必要道具。\n§6（完成条件：除灵之水 奖励除灵之水*30）",
				"§c寻找雪原中的冰狼祭坛，使用冰冻兽肉在祭坛上召唤BOSS、当BOSS发动回血技能时，使用除灵之水抑制它的回血效果。击败北风之狼，通关第一章节！\n§6（完成条件：寒霜锭 奖励商人的赠礼*30）",
				"§b收集足够多的寒冰锭，将你的装备升级为冰霜套！你已经通关第一章！\n§6（完成条件：寒霜护腿 奖励海神凝晶*2）",
				"§d在工作台内合成自然能量之剑，使用技能会给予你短暂的无敌效果。凝聚了自然的能量，能不能进入仙人模式呢？（圣物由BOSS以十分之一的概率掉落）\n§6（完成条件：自然能量剑 奖励火神凝晶*2）",
				"§e在野外可以找到野生的天宫工作台。在这个工作台上可以制作天宫宝库系列的武器！来尝试获得一颗绿色的天宫宝珠吧！\n§6（完成条件：天宫宝珠-绿 奖励高级光子精华*2）",
				"§b（三选一可跳过）合成最高级别的海神之刃，让大家知道海洋的厉害！\n§6（完成条件：海神之刃 奖励金币*3）",
				"§c（三选一可跳过）合成最高级别的火神之刃，让大家知道烈焰的厉害！\n§6（完成条件：火神之刃 奖励金币*3）",
				"§a（三选一可跳过）合成最高级别的风神之刃，让大家知道疾风的厉害！\n§6（完成条件：风神之刃 奖励金币*3）",
				"§c在地狱击败精英怪——嗜血巨兽可以获得大量凝血，合成鲜血加工台制作出嗜血之刃+5，享受这华丽的特效吧！\n§6（完成条件：嗜血之刃+5 奖励凝血*30）",
				"§b使用三种BOSS锭在工作台合成大量的始源精魂，解锁第二章BOSS召唤物的合成。将军，该出发了！\n§6（完成条件：始源精魂 奖励幸运吊坠*1）",
				"§d合成经营掠夺者的召唤物，在沙漠找到掠夺者前哨，召唤并击败迷你BOSS——精英掠夺者并拿到解锁道具——破壁石碑\n§6（完成条件：破壁石碑 奖励破壁石碑*3）",
				"§c合成灾厄武士的召唤物，在平原找到被封印的邸宅，召唤并击败强力BOSS——灾厄武士，有几率掉落提塔克斯护符碎片——右\n§6（完成条件：灾厄裁决者 奖励充能紫水晶*1）",
				"§d合成大魔导师的召唤物，在雪原找到封印之塔，召唤并击败强力BOSS——大魔导师，有几率掉落提塔克斯护符碎片——左\n§6（完成条件：幽冥之魂 奖励充能紫水晶*1）",
				"§e使用紫水晶碎片和水晶碎片合成不稳定的水晶物质，右键使用后有小概率获得充能紫水晶。用它升级下界合金镐可以获得强力的紫水晶镐\n§6（完成条件：紫水晶镐 奖励提塔克斯护符碎片——左*1）",
				"§d把世界调成静音 聆听千鸟的声音！（需要提交的是一把一阶剑，具体是哪吧自己猜）\n§6（完成条件：？？？ 奖励提塔克斯护符碎片——右*1）",
				"§l§c合成 元素圣剑   §d毁灭吧！\n§6（完成条件：元素圣剑 奖励史诗宝珠*4）",
				"§b任务还在更新中，请期待《星辰幻想》的后续更新！"

    		],
    		complated: "Complated",
    		notComplated: "In progress"
    	},
    	icon: {
    		enable: true, // Set to true to enable and false to disable
    		confirm: `textures/ui/confirm`,
    		items: [
    			"items/renwubook",
    			"items/iron_pickaxe",
    			"items/chilun1",
    			"items/baiyinxing",
    			"items/jinggangding",
    			"items/gangqishijia",
				"items/ningjiao",
				"items/shengwu2",
				"items/liujinsuipian",
				"items/yelvding",
				"items/dianlanzhiren2",
				"items/chihongzhiren2",
				"items/bilvzhiren2",
				"items/yelvjia",
				"items/cuilvzhishi",
				"items/shengwu1",
				"items/jineng6",
				"items/food3",
				"items/shabaomao",
				"items/qiguaibing",
				"items/shizijunzhoufu",
				"items/pozhou1",
				"items/shengwu3",
				"items/bingshuangjia",
				"items/ziranjian",
				"items/jinjiedan4",
				"items/xukongbaozangdai",
				"items/xukongbaozangdai",
				"items/xukongbaozangdai",
				"items/zhenli2",
				"items/shiyuanjinghun",
				"items/jiechufengyin",
				"items/mianju",
				"items/shengwu4",
				"items/gaozi1",
				"items/shandianjinghua",
				"items/yuansushengjian",
				"items/huanmoliandao3"
				
			]
    	},
    	button: {
        	back: "§l§b返回上一页", // Button Back
        	check: "§l§c提交任务", // Button Check
			about: "§l§d简介&致谢"  // Button About
    	}
    }
}

export {myQuestAPI}
